Subject: Re: [mobile-ip] Mobile Prefix Advertisements ... additional thought

From: Charlie Perkins <[email-masked]>
Date: Mon, 25 Jun 2001 15:58:57 -0700

Hello Ken,

I didn't see any other discussion about this on the mailing
list, so I didn't make the corresponding change to the
document.  However, I think that one can go even farther.
- The Binding Acknowledgement could be a destination
   option in the Mobile Prefix Advertisement (MPA).
If the mobile node does NOT get the MPA, then it
would retransmit the Binding Update since the Binding
Acknowledgement was never received.

In the case, if the mobile node only had one home address
and it was getting renumbered to have a new prefix, then
the home agent does NOT need to get
a Binding Update, since it can assume that either:
- the mobile node will receive the Binding Acknowledgement
- the mobile node will retransmit the Binding Update.

So, a typical exchange could be exactly two messages.

What do you think about that?  Of course, if there are
lots of prefixes and lots of home addresses involved, the
same logic does not necessarily hold.  But perhaps we
ought to make the simple cases really simple.  Maybe
there should be another bit in the MPA to say whether
the Binding Update is requested or not.

Regards,
Charlie P.

"Powell, Ken" wrote:

> I've been wondering about the coupling between mobile
> prefix solicitation/advertisement and binding request/
> update/ack.
>
> Specifically:
>  - Section 9.8.2 describes how a binding update could
>    trigger a mobile prefix advertisement
>  - Section 9.8.3 describes how a binding request/update is
>    used to acknowledge the mobile prefix advertisement
>
> This leads me to consider the following exchange:
>
>    mobile node <--> home agent
>    ===========================
>    --> binding update w/ ack bit set
>        (destination option processing on home agent handles
>         processes binding update and sends binding ack,
>         then signals ICMP mobile prefix handler to check
>         for pending advertisements)
>    <-- binding ack
>    <-- mobile prefix advertisement w/ binding request
>    --> binding update w/ ack bit set
>    <-- binding ack
>
>    It seems we could simplify the exchange rules by
>    adding an ICMP mobile prefix ack message that could be
>    used to replace the final binding request/update/ack
>    exchange.
>
>    --> binding update w/ ack bit set
>    <-- binding ack
>    <-- mobile prefix advertisement
>    --> mobile prefix ack
>
> Ken